Package org.lwjgl.opengles

# Class QCOMTiledRendering

java.lang.Object
org.lwjgl.opengles.QCOMTiledRendering

public final class QCOMTiledRendering extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_BUFFER_BIT0_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT1_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT2_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT3_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT4_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT5_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT6_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_COLOR_BUFFER_BIT7_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT0_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT1_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT2_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT3_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT4_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT5_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT6_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_DEPTH_BUFFER_BIT7_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT0_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT1_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT2_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT3_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT4_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT5_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT6_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_MULTISAMPLE_BUFFER_BIT7_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT0_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT1_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT2_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT3_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT4_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT5_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT6_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM
`static final int`
`GL_STENCIL_BUFFER_BIT7_QCOM`
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

## Method Summary

Modifier and Type
Method
Description
`static void`
`glEndTilingQCOM(int preserveMask)`
`static void`
`glStartTilingQCOM(int x, int y, int width, int height, int preserveMask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COLOR_BUFFER_BIT0_QCOM

public static final int GL_COLOR_BUFFER_BIT0_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT1_QCOM

public static final int GL_COLOR_BUFFER_BIT1_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT2_QCOM

public static final int GL_COLOR_BUFFER_BIT2_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT3_QCOM

public static final int GL_COLOR_BUFFER_BIT3_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT4_QCOM

public static final int GL_COLOR_BUFFER_BIT4_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT5_QCOM

public static final int GL_COLOR_BUFFER_BIT5_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT6_QCOM

public static final int GL_COLOR_BUFFER_BIT6_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_COLOR_BUFFER_BIT7_QCOM

public static final int GL_COLOR_BUFFER_BIT7_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT0_QCOM

public static final int GL_DEPTH_BUFFER_BIT0_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT1_QCOM

public static final int GL_DEPTH_BUFFER_BIT1_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT2_QCOM

public static final int GL_DEPTH_BUFFER_BIT2_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT3_QCOM

public static final int GL_DEPTH_BUFFER_BIT3_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT4_QCOM

public static final int GL_DEPTH_BUFFER_BIT4_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT5_QCOM

public static final int GL_DEPTH_BUFFER_BIT5_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT6_QCOM

public static final int GL_DEPTH_BUFFER_BIT6_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_DEPTH_BUFFER_BIT7_QCOM

public static final int GL_DEPTH_BUFFER_BIT7_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT0_QCOM

public static final int GL_STENCIL_BUFFER_BIT0_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT1_QCOM

public static final int GL_STENCIL_BUFFER_BIT1_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT2_QCOM

public static final int GL_STENCIL_BUFFER_BIT2_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT3_QCOM

public static final int GL_STENCIL_BUFFER_BIT3_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT4_QCOM

public static final int GL_STENCIL_BUFFER_BIT4_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT5_QCOM

public static final int GL_STENCIL_BUFFER_BIT5_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT6_QCOM

public static final int GL_STENCIL_BUFFER_BIT6_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_STENCIL_BUFFER_BIT7_QCOM

public static final int GL_STENCIL_BUFFER_BIT7_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT0_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT0_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT1_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT1_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT2_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT2_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT3_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT3_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT4_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT4_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT5_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT5_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT6_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT6_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

### GL_MULTISAMPLE_BUFFER_BIT7_QCOM

public static final int GL_MULTISAMPLE_BUFFER_BIT7_QCOM
Accepted by the <preserveMask> parameter of StartTilingQCOM and EndTilingQCOM

See Also:
  - Constant Field Values

## Method Details

### glStartTilingQCOM

public static void glStartTilingQCOM(int x, int y, int width, int height, int preserveMask)

### glEndTilingQCOM

public static void glEndTilingQCOM(int preserveMask)